'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _sensor = require('../../API/sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { populateDevices: populateDevices };

/* istanbul ignore next */

var devices = [];

devices.push(new _sensor2.default({
    _id: _mongoose2.default.Types.ObjectId('41224d776a326fb40f000001'),
    description: 'some description',
    type: 'some type',
    metrics: 'meters',
    mqttId: 'distance'
}));

devices.push(new _sensor2.default({
    description: 'temperature',
    type: 'some other type',
    metrics: 'celsius',
    mqttId: 'temperature'
}));

devices.push(new _sensor2.default({
    description: 'humidity',
    type: 'some other type',
    metrics: 'percents',
    mqttId: 'humidity'
}));

devices.push(new _sensor2.default({
    description: 'servo',
    type: 'servo type',
    metrics: 'degrees',
    mqttId: 'servo',
    servo: true
}));

function populateDevices() {
    return _sensor2.default.find({}).remove(function () {
        _sensor2.default.create.apply(_sensor2.default, devices);
    });
}
module.exports = exports['default'];
//# sourceMappingURL=devices.js.map
