/**
 * Populate DB with sample data on server start
 * to disable, edit config/env/%environment%.js, and set `seedDB: false`
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.populateUsers = exports.populateDashboard = exports.populateScenarios = exports.populateSensors = undefined;

var _scenarios = require('./scenarios');

var _devices = require('./devices');

var _dashboard = require('./dashboard');

var _users = require('./users');

exports.populateSensors = _devices.populateDevices;
exports.populateScenarios = _scenarios.populateScenarios;
exports.populateDashboard = _dashboard.populateDashboard;
exports.populateUsers = _users.populateUsers;
//# sourceMappingURL=index.js.map
