'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = saveStatisticToDB;

var _input = require('../data-streams/input');

var _input2 = _interopRequireDefault(_input);

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _caiman = require('caiman');

var _mongodb = require('mongodb');

var _env = require('../config/env');

var _env2 = _interopRequireDefault(_env);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = (0, _debug2.default)('SH_BE:new-device-handler');
var STATUS_EVENT = 'status';
var STRATEGY = 'averages';
var periods = ['month', 'day', 'hour', 'minute', 'second'];
var options = {
    driver: {
        type: 'mongodb',
        options: {}
    }
};

function saveStatisticToDB() {
    var statisticSavers = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    _mongodb.MongoClient.connect(_env2.default.db, function (err, db) {
        options.driver.options.db = db;

        _input2.default.stream.filter(function (message) {
            return message.event === STATUS_EVENT;
        }).subscribe(saveData, function (error) {
            return debug('Error: \'' + error + '\' occured');
        });

        function saveData(_ref) {
            var device = _ref.device,
                value = _ref.value;

            if (!statisticSavers[device]) {
                statisticSavers[device] = new _caiman.Caiman(device, options);
            }
            saveDataWithCaiman(device, value);
        }

        function saveDataWithCaiman(device, value) {
            var currentDate = new Date();
            statisticSavers[device].save(currentDate, periods, value, STRATEGY);
        }
    });
}
module.exports = exports['default'];
//# sourceMappingURL=saveStatisticToDB.js.map
